'use client';

import Image from 'next/image';
import Link from 'next/link';

import { useMediaController } from '../media/hooks/use-media-controller';

export const Logo = () => {
  const { m } = useMediaController();

  return (
    <Link className='flex items-center gap-2' href={'/'}>
      <Image
        src={m('logo') || '/logo-new.png'}
        alt='oriyo-logo'
        width={110}
        height={40}
      />
    </Link>
  );
};
